Summary:	A VNC server for the current X11 session
Summary(pl.UTF-8):	Program serwujący aktualną sesję X11 poprzez VNC
Name:		x11vnc
Version:	0.9.16
Release:	1
License:	GPL v2+
Group:		X11/Applications/Networking
#Source0Download: https://github.com/LibVNC/x11vnc/releases
Source0:	https://github.com/LibVNC/x11vnc/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	64172e8f896389ec963fff93415f0d93
Source1:	%{name}-x11vncd
Source2:	%{name}-x11vncd.init
Source3:	%{name}-x11vncd.sysconfig
Source4:	%{name}-x11vncd_passwd
URL:		https://github.com/LibVNC/x11vnc/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	avahi-devel >= 0.6.4
BuildRequires:	cairo-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libvncserver-devel >= 0.9.8
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXcursor-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXi-devel >= 1.3
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xorg-proto-inputproto-devel >= 2
BuildRequires:	zlib-devel
Requires:	avahi-libs >= 0.6.4
Requires:	libvncserver >= 0.9.8
Requires:	xorg-lib-libXi >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
x11vnc is to X Window System what WinVNC is to Windows, i.e. a server
which serves the current X Window System desktop via RFB (VNC)
protocol to the user.

Based on the ideas of x0rfbserver and on LibVNCServer, it has evolved
into a versatile and performant while still easy to use program.

%description -l pl.UTF-8
x11vnc jest dla X Window System tym, czym jest WinVNC dla Windows,
czyli programem udostępniającym aktualny ekran X Window System poprzez
protokół RFB (VNC) dla użytkownika.

Bazuje na pomyśle x0rfbserver i LibVNCServer, został stworzony jako
wszechstronny i wydajny, ale także łatwy w użyciu.

%package init
Summary:	Init scripts for VNC server
Summary(pl.UTF-8):	Skrytpy startowe dla servera VNC.
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description init
Init scripts for VNC server.

%description init -l pl.UTF-8
Skrytpy startowe dla servera VNC.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sbindir} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sbindir}/x11vncd
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/x11vncd
cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/x11vncd
cp -p %{SOURCE4} $RPM_BUILD_ROOT/etc/x11vncd_passwd

%clean
rm -rf $RPM_BUILD_ROOT

%post init
/sbin/chkconfig --add x11vncd
%service x11vncd restart "VNC Server"

%preun init
if [ "$1" = "0" ]; then
	%service x11vncd stop
	/sbin/chkconfig --del x11vncd
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/Xdummy
%attr(755,root,root) %{_bindir}/x11vnc
%{_desktopdir}/x11vnc.desktop
%{_mandir}/man1/x11vnc.1*

%files init
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/x11vncd
%attr(754,root,root) /etc/rc.d/init.d/x11vncd
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/x11vncd
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/x11vncd_passwd
%changelog
* Tue Dec 03 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/x11vnc.git;a=log;h=master

* Mon Nov 11 2019 Bartek Szady <bszx@bszx.eu> a0ad82b
- updated to 0.9.16

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7254823
- release 2 (by relup.sh)

* Fri Mar 10 2017 Jakub Bogusz <qboosh@pld-linux.org> 912b059
- updated to 0.9.14

* Sat Dec 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 720c513
- updated to 0.9.13
- updated URL, noted new Source0 URL (no releases yet there)

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 405e6d6
- release 2

* Sat Oct 02 2010 Adam Gołębiowski <adamg@pld-linux.org> ef3e21a
- updated to 0.9.12

* Tue Apr 13 2010 Marcin Banasiak <marcin.banasiak@gmail.com> a006b97
- release 3

* Thu Jan 28 2010 amateja <amateja@pld-linux.org> 2301a83
- release 2

* Mon Jan 11 2010 sparky <sparky@pld-linux.org> 5789dd2
- dropped BR: xorg-lib-libXTrap-devel

* Sun Jan 03 2010 Adam Gołębiowski <adamg@pld-linux.org> 65edcce
- updated to 0.9.9

* Sun Jan 03 2010 Adam Gołębiowski <adamg@pld-linux.org> a25ea14
- adapterized

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1207d6c
- release 2

* Fri May 29 2009 amateja <amateja@pld-linux.org> 4928457
- updated to 0.9.8

* Wed Feb 11 2009 duddits <duddits@pld-linux.org> bef07b4
- up to 0.9.7
- more %files

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> c5b3fa2
- updated to 0.9.6

* Tue Jan 22 2008 pascalek <pascalek@pld-linux.org> 9839081
- init scripts

* Tue Jan 22 2008 pascalek <pascalek@pld-linux.org> 3483860
- initial revision

* Sat Aug 25 2007 undefine <undefine@pld-linux.org> 9969b6c
- up to 0.9.3

* Mon Jun 18 2007 Robert Tomasik <rotom@pld-linux.org> 40f7453
- up to 0.9.2

* Sun Apr 22 2007 Robert Tomasik <rotom@pld-linux.org> 02486a5
- up to 0.9.1

